/**
 * ./src/classes/ovary.d/produce.ts
 * penguins-eggs v.25.7.x / ecmascript 2020
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
import path from 'path';
// interfaces
// libraries
import { exec } from '../../lib/utils.js';
// classes
import Utils from './../utils.js';
// _dirname
const __dirname = path.dirname(new URL(import.meta.url).pathname);
/**
 * kernelCopy
 */
export async function kernelCopy() {
    Utils.warning(`copying ${path.basename(this.vmlinuz)} on (ISO)/live`);
    await exec(`cp ${this.vmlinuz} ${this.settings.iso_work}live/`, this.echo);
}
